AsterNet Class Library (Sandcastle documentation)

| ManagerConnection KeepAlive Property

Should we attempt to reconnect when the connection is lost?
This is set to true after successful login and to false after logoff or after an authentication failure when keepAliveAfterAuthenticationFailure is false.

Namespace: AsterNET.Manager
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public bool KeepAlive { get; set; }

    Public Property KeepAlive As Boolean
    	Get
    	Set

    public:
    property bool KeepAlive {
    	bool get ();
    	void set (bool value);
    }

    member KeepAlive : bool with get, set

#### Property Value

Type: Boolean
See Also

#### Reference

ManagerConnection Class
AsterNET.Manager Namespace